Subject: Re: bug#5597: Dired unable to properly recognize file names

From: Eli Zaretskii <[email-masked]>
Date: Sun, 18 Sep 2011 18:10:14 +0300

> From: Lars Magne Ingebrigtsen <[email-masked]>
> Date: Sun, 18 Sep 2011 13:59:05 +0200
> Cc: [email-masked], Otto Maddox <[email-masked]>
> 
> Speaking of which, is there any particular reason why dired still uses
> an external program?  If it's because `ls-lisp' is too slow

I don't think it's slow on a Posix system, where the `stat' function
is highly optimized and very fast.  I think the main reasons are 
(a) inertia, and (b) ls-lisp doesn't support all of the switches
available with GNU `ls'.